Open CASCADE Technology: BRepClass_FClassifier Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
BRepClass_FClassifier Class Reference

`#include <BRepClass_FClassifier.hxx>`

Inheritance diagram for BRepClass_FClassifier:
[legend]

## Public Member Functions
| BRepClass_FClassifier ()
| BRepClass_FClassifier (BRepClass_FaceExplorer &F, const gp_Pnt2d &P, const Standard_Real Tol)
void | Perform (BRepClass_FaceExplorer &F, const gp_Pnt2d &P, const Standard_Real Tol)
TopAbs_State | State () const
Standard_Boolean | Rejected () const
Standard_Boolean | NoWires () const
const BRepClass_Edge & | Edge () const
Standard_Real | EdgeParameter () const
IntRes2d_Position | Position () const

## Protected Attributes
BRepClass_FClass2dOfFClassifier | myClassifier
BRepClass_Edge | myEdge
Standard_Real | myEdgeParameter
IntRes2d_Position | myPosition
Standard_Boolean | rejected
Standard_Boolean | nowires

## Constructor & Destructor Documentation

BRepClass_FClassifier::BRepClass_FClassifier | ( |  | ) |

BRepClass_FClassifier::BRepClass_FClassifier | ( | BRepClass_FaceExplorer & | F,
|  | const gp_Pnt2d & | P,
|  | const Standard_Real | Tol
| ) |  |

## Member Function Documentation

const BRepClass_Edge& BRepClass_FClassifier::Edge | ( |  | ) | const

Standard_Real BRepClass_FClassifier::EdgeParameter | ( |  | ) | const

Standard_Boolean BRepClass_FClassifier::NoWires | ( |  | ) | const

void BRepClass_FClassifier::Perform | ( | BRepClass_FaceExplorer & | F,
|  | const gp_Pnt2d & | P,
|  | const Standard_Real | Tol
| ) |  |

IntRes2d_Position BRepClass_FClassifier::Position | ( |  | ) | const

Standard_Boolean BRepClass_FClassifier::Rejected | ( |  | ) | const

TopAbs_State BRepClass_FClassifier::State | ( |  | ) | const

## Field Documentation

BRepClass_FClass2dOfFClassifier BRepClass_FClassifier::myClassifier
| protected

BRepClass_Edge BRepClass_FClassifier::myEdge
| protected

Standard_Real BRepClass_FClassifier::myEdgeParameter
| protected

IntRes2d_Position BRepClass_FClassifier::myPosition
| protected

Standard_Boolean BRepClass_FClassifier::nowires
| protected

Standard_Boolean BRepClass_FClassifier::rejected
| protected

The documentation for this class was generated from the following file:

- BRepClass_FClassifier.hxx